Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 594575

Summary: Review Request: mingw32-wxWidgets - MinGW Windows wxWidgets library
Product: [Fedora] Fedora Reporter: Scott Tsai <scottt.tw>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan, fedora-mingw, fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-26 20:29:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 594581    
Bug Blocks: 201449    

Description Scott Tsai 2010-05-21 04:05:20 UTC
Spec URL: http://scottt.tw/fedora/mingw32-wxWidgets.spec
SRPM URL: http://scottt.tw/fedora/mingw32-wxWidgets-2.8.11-1.fc13.src.rpm
Description: MinGW Windows wxWidgets library
Patches:
http://scottt.tw/fedora/wxWidgets-use-fedora-mingw-libjpeg-jpeg-boolean-type.patch
http://scottt.tw/fedora/wxWidgets-generate-rcdefs.h-for-windows.patch
http://scottt.tw/fedora/wxWidgets-fix-m4-macro-definitions-for-autoconf-2.65.patch

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2200465
rpmlint output:
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_aui-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_html-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_net-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_richtext-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_xml-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwxregexu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_xrc-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_core-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_qa-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_adv-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets.noarch: W: no-documentation
mingw32-wxWidgets-static.noarch: W: spelling-error Summary(en_US) mingw -> mingy, mingle, Mingus
mingw32-wxWidgets-static.noarch: W: spelling-error %description -l en_US mingw -> mingy, mingle, Mingus
mingw32-wxWidgets-static.noarch: E: description-line-too-long C mingw32-wxWidgets-static contains static library for mingw32-wxWidgets development.
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_html-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_richtext-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwxregexu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_adv-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_aui-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_core-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_qa-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_xrc-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_net-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_xml-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: W: no-documentation
2 packages and 0 specfiles checked; 23 errors, 4 warnings.

Comment 1 Scott Tsai 2010-05-21 04:12:40 UTC
1. spec file based on one found in the Fedora MinGW mailing list archives
2. Two of the three patches linked to above lack detailed comments on the build errors they fix. I plan on fixing that. Any help reviewing the patches or forwarding upstream greatly appreciated.

Comment 2 Jason Tibbitts 2010-11-03 20:09:54 UTC
I note that there are two review tickets open for mings32-wxWidgets and indeed from the entries in the changelog it looks as if your package originated from the other submission.

Normally I'd just close this ticket as a duplicate, but this one has the benefit of actually building.  However, it produces, among other things, a 313MB .dll file, which I'm having trouble interpreting as anything other than something being broken.